<div class="container">
  <main role="main">
    <mat-toolbar class="mat-toolbar mat-primary mat-toolbar-multiple-rows">
      <mat-toolbar-row class="mat-toolbar-row">
        <span class="home">
          <a class="title" routerLink="/" *ngIf="application">
            <img src="{{ application.logo }}" class="app_logo" />
            <span class="app_name">Backend</span>
          </a>
        </span>
        <span class="spacer"> </span>
      </mat-toolbar-row>
    </mat-toolbar>

    <div class="content" *ngIf="!validated">
      <div *ngIf="application">Please choose a new password.</div>
      <div>
        <app-password #password [check_validity]="true"></app-password>
      </div>
      <div>
        <button mat-button color="primary" (click)="setPasswordAndValidate()">
          <i class="material-icons">add</i> Confirm password
        </button>
      </div>
      <span *ngIf="validating">
        <span>
          <img
            src="/bundles/images/media-io.animated.svg"
            width="20px"
            height="20px"
          />
        </span>
        <label> Validating your account ... </label>
      </span>
      <span *ngIf="error"> Unable to validate your account. </span>
    </div>
    <div class="content" *ngIf="validated">
      <div>Your new password is validated, you can now log in.</div>
      <button mat-button color="primary" (click)="goToLogin()">
        <i class="material-icons">chevron_right</i>
        Go to login page
      </button>
    </div>
  </main>
</div>
